Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema
Class CinemaBoot

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.xml.XMLBootModule
                  |
                  +--uk.ac.man.bioinf.apps.cinema.CinemaBoot

Direct Known Subclasses:
  CinemaShared

public class CinemaBoot
extends XMLBootModule

CinemaBoot.java Created: Mon May 29 17:58:12 2000

Version:
  $Id: CinemaBoot.java,v 1.8 2001/04/11 17:04:41 lord Exp $
Author:
  Phillip Lord

Nested Class Summary

Nested classes inherited from class uk.ac.man.bioinf.apps.xml.XMLBootModule
`XMLBootModule.MiniStack`

Constructor Summary
`CinemaBoot()`

Method Summary
`String` | `fetchMainBootName()`
`String` | `fetchModuleSystemIdentifier()`
`protected String` | `getXMLParserClass()`
`void` | `load()` The method called for the load of this module.
`InputStream` | `resolveXMLLoadName(String loadName)`

Methods inherited from class uk.ac.man.bioinf.apps.xml.XMLBootModule
`characters, classEnd, configStart, enumerationEnd, genericEnd, getVersion, identifierStart, loadEnd, moduleEnd, nameEnd, nodeEnd, nodeStart, paramEnd, paramnameEnd, parseResource, parseStream, propertiesEnd, propertiesStart, provideEnd, readEnd, readStart, startEnd, treeEnd, treeStart, valueEnd`

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, destroy, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredIdentifiers, getRequiredModule, getRequiredModules, hasListeners, isDestroyed, isStarted, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext, start`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaBoot

    public CinemaBoot()

Method Detail

### load

    public void load()
              throws ModuleException

  Description copied from class: `Module`
  The method called for the load of this module.

  Overrides:
    `load` in class `XMLBootModule`
    `ModuleException`

### fetchMainBootName

    public String fetchMainBootName()

  Specified by:
    `fetchMainBootName` in class `XMLBootModule`

### fetchModuleSystemIdentifier

    public String fetchModuleSystemIdentifier()

  Specified by:
    `fetchModuleSystemIdentifier` in class `XMLBootModule`

### resolveXMLLoadName

    public InputStream resolveXMLLoadName(String loadName)
                                   throws IOException

  Specified by:
    `resolveXMLLoadName` in class `XMLBootModule`
    `IOException`

### getXMLParserClass

    protected String getXMLParserClass()

  Overrides:
    `getXMLParserClass` in class `XMLBootModule`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD